#!/bin/sh

if ! [[ -z "${BASE_API}" ]]; then
    sed -i -e "s@https://apple.linkerplus.com/api@$BASE_API@g" /usr/share/nginx/html/static/js/app*.js
fi

if ! [[ -z "${LOGIN_API}" ]]; then
    sed -i -e "s@https://linker-im.linkerplus.com/user/login@$LOGIN_API@g" /usr/share/nginx/html/static/js/app*.js
fi

nginx -g "daemon off;"